DROP DATABASE RANGE;

CREATE DATABASE RANGE AUTOMATIC STORAGE YES  ON '/db2fs/db2inst1' DBPATH ON '/db2fs/db2inst1' USING CODESET UTF-8 TERRITORY US COLLATE USING SYSTEM PAGESIZE 4096;

update db cfg for range using logfilsiz 102400;
--------------------------------------------------------------------------------------------------------------------------------------------
--Tablespaces 0-6 for Years 2000-2006-------------------------------------------------------------------------------------------------------
--------------------------------------------------------------------------------------------------------------------------------------------
CONNECT to RANGE user db2inst1 using password;

CREATE  REGULAR  TABLESPACE TBLSPC0 PAGESIZE 4 K  MANAGED BY AUTOMATIC STORAGE EXTENTSIZE 16 OVERHEAD 10.5 PREFETCHSIZE 16 TRANSFERRATE 0.14 BUFFERPOOL  IBMDEFAULTBP  DROPPED TABLE RECOVERY ON;

CREATE  REGULAR  TABLESPACE TBLSPC1 PAGESIZE 4 K  MANAGED BY AUTOMATIC STORAGE EXTENTSIZE 16 OVERHEAD 10.5 PREFETCHSIZE 16 TRANSFERRATE 0.14 BUFFERPOOL  IBMDEFAULTBP  DROPPED TABLE RECOVERY ON;

CREATE  REGULAR  TABLESPACE TBLSPC2 PAGESIZE 4 K  MANAGED BY AUTOMATIC STORAGE EXTENTSIZE 16 OVERHEAD 10.5 PREFETCHSIZE 16 TRANSFERRATE 0.14 BUFFERPOOL  IBMDEFAULTBP  DROPPED TABLE RECOVERY ON;

CREATE  REGULAR  TABLESPACE TBLSPC3 PAGESIZE 4 K  MANAGED BY AUTOMATIC STORAGE EXTENTSIZE 16 OVERHEAD 10.5 PREFETCHSIZE 16 TRANSFERRATE 0.14 BUFFERPOOL  IBMDEFAULTBP  DROPPED TABLE RECOVERY ON;

CREATE  REGULAR  TABLESPACE TBLSPC4 PAGESIZE 4 K  MANAGED BY AUTOMATIC STORAGE EXTENTSIZE 16 OVERHEAD 10.5 PREFETCHSIZE 16 TRANSFERRATE 0.14 BUFFERPOOL  IBMDEFAULTBP  DROPPED TABLE RECOVERY ON;

CREATE  REGULAR  TABLESPACE TBLSPC5 PAGESIZE 4 K  MANAGED BY AUTOMATIC STORAGE EXTENTSIZE 16 OVERHEAD 10.5 PREFETCHSIZE 16 TRANSFERRATE 0.14 BUFFERPOOL  IBMDEFAULTBP  DROPPED TABLE RECOVERY ON;

CREATE  REGULAR  TABLESPACE TBLSPC6 PAGESIZE 4 K  MANAGED BY AUTOMATIC STORAGE EXTENTSIZE 16 OVERHEAD 10.5 PREFETCHSIZE 16 TRANSFERRATE 0.14 BUFFERPOOL  IBMDEFAULTBP  DROPPED TABLE RECOVERY ON;

------------------------------------------------------------
CREATE  REGULAR  TABLESPACE NOPART PAGESIZE 4 K  MANAGED BY AUTOMATIC STORAGE EXTENTSIZE 16 OVERHEAD 10.5 PREFETCHSIZE 16 TRANSFERRATE 0.14 BUFFERPOOL  IBMDEFAULTBP  DROPPED TABLE RECOVERY ON;

CREATE  REGULAR  TABLESPACE MQTTS  PAGESIZE 4 K  MANAGED BY AUTOMATIC STORAGE EXTENTSIZE 16 OVERHEAD 10.5 PREFETCHSIZE 16 TRANSFERRATE 0.14 BUFFERPOOL  IBMDEFAULTBP  DROPPED TABLE RECOVERY ON;
------------------------------------------------------------
------------------------------------------------------------

CREATE  REGULAR  TABLESPACE TBLSPC0I PAGESIZE 4 K  MANAGED BY AUTOMATIC STORAGE EXTENTSIZE 16 OVERHEAD 10.5 PREFETCHSIZE 16 TRANSFERRATE 0.14 BUFFERPOOL  IBMDEFAULTBP  DROPPED TABLE RECOVERY ON;

CREATE  REGULAR  TABLESPACE TBLSPC1I PAGESIZE 4 K  MANAGED BY AUTOMATIC STORAGE EXTENTSIZE 16 OVERHEAD 10.5 PREFETCHSIZE 16 TRANSFERRATE 0.14 BUFFERPOOL  IBMDEFAULTBP  DROPPED TABLE RECOVERY ON;

CREATE  REGULAR  TABLESPACE TBLSPC2I PAGESIZE 4 K  MANAGED BY AUTOMATIC STORAGE EXTENTSIZE 16 OVERHEAD 10.5 PREFETCHSIZE 16 TRANSFERRATE 0.14 BUFFERPOOL  IBMDEFAULTBP  DROPPED TABLE RECOVERY ON;


CREATE  REGULAR  TABLESPACE TBLSPC3I PAGESIZE 4 K  MANAGED BY AUTOMATIC STORAGE EXTENTSIZE 16 OVERHEAD 10.5 PREFETCHSIZE 16 TRANSFERRATE 0.14 BUFFERPOOL  IBMDEFAULTBP  DROPPED TABLE RECOVERY ON;

CREATE  REGULAR  TABLESPACE TBLSPC4I PAGESIZE 4 K  MANAGED BY AUTOMATIC STORAGE EXTENTSIZE 16 OVERHEAD 10.5 PREFETCHSIZE 16 TRANSFERRATE 0.14 BUFFERPOOL  IBMDEFAULTBP  DROPPED TABLE RECOVERY ON;


CREATE  REGULAR  TABLESPACE TBLSPC5I PAGESIZE 4 K  MANAGED BY AUTOMATIC STORAGE EXTENTSIZE 16 OVERHEAD 10.5 PREFETCHSIZE 16 TRANSFERRATE 0.14 BUFFERPOOL  IBMDEFAULTBP  DROPPED TABLE RECOVERY ON;

CREATE  REGULAR  TABLESPACE TBLSPC6I PAGESIZE 4 K  MANAGED BY AUTOMATIC STORAGE EXTENTSIZE 16 OVERHEAD 10.5 PREFETCHSIZE 16 TRANSFERRATE 0.14 BUFFERPOOL  IBMDEFAULTBP  DROPPED TABLE RECOVERY ON;


---------------------------------------------------------------------------------
----------CREATE PARTITIONED TABLE-CAR_ORDER-------------------------------------
----------PARTITIONED INDEXES ASSIGED TO TABLESPACES AT PARTITION LEVEL----------
---------------------------------------------------------------------------------

CREATE TABLE DB2INST1.CAR_ORDER ( 
		ID INTEGER NOT NULL PRIMARY KEY, 
		CAR_ID INTEGER NOT NULL, 
		DEPT INTEGER NOT NULL, 
		DATE DATE NOT NULL, 
		PRICE INTEGER NOT NULL, 
		TAX INTEGER NOT NULL, 
		FINALPRICE INTEGER NOT NULL ) 
PARTITION BY RANGE (DATE NULLS LAST)  
(
PARTITION Y2000 STARTING FROM ('01/01/2000') INCLUSIVE ENDING AT ('12/31/2000') INCLUSIVE IN TBLSPC0 index in TBLSPC0I, 
PARTITION Y2001 STARTING FROM ('01/01/2001') INCLUSIVE ENDING AT ('12/31/2001') INCLUSIVE IN TBLSPC1 index in TBLSPC1I, 
PARTITION Y2002 STARTING FROM ('01/01/2002') INCLUSIVE ENDING AT ('12/31/2002') INCLUSIVE IN TBLSPC2 index in TBLSPC2I, 
PARTITION Y2003 STARTING FROM ('01/01/2003') INCLUSIVE ENDING AT ('12/31/2003') INCLUSIVE IN TBLSPC3 index in TBLSPC3I, 
PARTITION Y2004 STARTING FROM ('01/01/2004') INCLUSIVE ENDING AT ('12/31/2004') INCLUSIVE IN TBLSPC4 index in TBLSPC4I, 
PARTITION Y2005 STARTING FROM ('01/01/2005') INCLUSIVE ENDING AT ('12/31/2005') INCLUSIVE IN TBLSPC5 index in TBLSPC5I 
);

-------------------------------------------------------------------------
-------CREATE STAGING TABLE TO BE ATTACHED --YR_2006---------------------
-------------------------------------------------------------------------

CREATE TABLE DB2INST1.YR_2006 ( 
		ID INTEGER NOT NULL PRIMARY KEY, 
		CAR_ID INTEGER NOT NULL, 
		DEPT INTEGER NOT NULL, 
		DATE DATE NOT NULL, 
		PRICE INTEGER NOT NULL, 
		TAX INTEGER NOT NULL, 
		FINALPRICE INTEGER NOT NULL ) 
PARTITION BY RANGE (DATE NULLS LAST)  
(
PARTITION Y2006 STARTING FROM ('01/01/2006') INCLUSIVE ENDING AT ('12/31/2006') INCLUSIVE IN TBLSPC6 index in TBLSPC6I 
)
;

--------------------------------------------------------------------------
-------CREATE NON-PARTITIONED VERSION OF CAR_ORDER------------------------
--------------------------------------------------------------------------

CREATE TABLE DB2INST1.CAR_ORDER_NOPART ( 
		ID INTEGER NOT NULL PRIMARY KEY, 
		CAR_ID INTEGER NOT NULL, 
		DEPT INTEGER NOT NULL, 
		DATE DATE NOT NULL, 
		PRICE INTEGER NOT NULL, 
		TAX INTEGER NOT NULL, 
		FINALPRICE INTEGER NOT NULL ) 
          IN NOPART
;
--------------------------------------------------------------------------
-------LOAD DATA INTO NON PARTITIONED TABLE------------------------
--------------------------------------------------------------------------
LOAD from ORDER.TBL of del replace into db2inst1.car_order_nopart nonrecoverable
;

RUNSTATS ON TABLE DB2INST1.CAR_ORDER_NOPART ON ALL COLUMNS AND INDEXES ALL
;

CONNECT RESET;
